Bug 488927 - [PATCH] Handle errors from tools called properly (& fix an off by one error)
[PATCH] Handle errors from tools called properly (& fix an off by one error)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-kdump (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 03:52 EST by Lubomir Rintel
Modified: 2014-01-12 19:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 09:13:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Handle errors from tools called properly (& fix an off by one error) (10.38 KB, patch)
2009-03-06 03:52 EST, Lubomir Rintel
no flags Details | Diff

  None (edit)
Description Lubomir Rintel 2009-03-06 03:52:22 EST
Created attachment 334269 [details]
Handle errors from tools called properly (& fix an off by one error)

Patch attached.

Display an action progressbar while reconfiguring the boot loader
and generating the ram disk image. Handle errors and display
diagnostic information in case an error occur.

Apart from that it fixes an off-by-one error in kernel cmdline parsing
code, (third hunk) which prevented from system-config-kdump from running
successfully on systems with crash kernel offset already being in effect.
(Broken by system-config-kdump-1.0.14-ommit-offset.patch)
Comment 1 Lubomir Rintel 2009-03-06 06:27:57 EST
When applying the patch, please remove these:

+                print self.kdumpMem
+                print origKdumpMem
Comment 2 Lubomir Rintel 2009-03-23 08:39:16 EDT
Ping?
Comment 3 Roman Rakus 2009-03-23 09:08:08 EDT
Thanks for patch.
s-c-kdump is being reworked.
Your patch for "Handle errors from tools called properly" don't fit well to newer scheme with PolicyKit and dbus.
The fix an off by one error is now in upstream and I will add it to rawhide soon.
Comment 4 Roman Rakus 2009-03-23 09:31:21 EDT
Off by one error fixed in system-config-kdump-1.0.14-5.fc11
Comment 5 Fedora Admin XMLRPC Client 2009-04-08 04:11:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Lubomir Rintel 2009-04-14 13:40:04 EDT
(In reply to comment #3)
> s-c-kdump is being reworked.
> Your patch for "Handle errors from tools called properly" don't fit well to
> newer scheme with PolicyKit and dbus.

Development freeze is coming really close and rawhide package is not based on the new codebase. I applied the patch; there's no harm in having it there.

I'll look into possibility of adjusting it to new codebase later on; keeping this open.
Comment 7 Bug Zapper 2009-06-09 07:56:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-04-27 09:07:12 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Roman Rakus 2010-04-27 09:13:59 EDT
Already fixed

Note You need to log in before you can comment on or make changes to this bug.